Statistics
8545
15
0
1.1y
Badges
Requirements

Vendor Versions

Vendor Versions is a bar panel for Tracy debugger. It loads composer.json and composer.lock files and shows you versions of all currently installed libraries.

Tracy panel screenshot

Installation

Use Composer and require milo/vendor-versions package.

If you are using Nette DI container, register panel in config.neon:

extensions:
	vendorVersions: Milo\VendorVersions\Bridges\Nette\DI\Extension(%debugMode%)

# Optionally set path do directory with composer.json and composer.lock files
vendorVersions:
	dir: 'some/path'

If you are not using Nette DI, register panel manually:

Tracy\Debugger::getBar()->addPanel(
	new Milo\VendorVersions\Panel
);


# Optionally with a path to directory with composer.json and composer.lock files
Tracy\Debugger::getBar()->addPanel(
	new Milo\VendorVersions\Panel(__DIR__ . '/some/dir')
);

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com